Bug 674674 - Review Request: python-zope-configuration - Zope Configuration Markup Language (ZCML)
Review Request: python-zope-configuration - Zope Configuration Markup Languag...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 633138 674692
  Show dependency treegraph
 
Reported: 2011-02-02 16:29 EST by Luke Macken
Modified: 2014-10-14 07:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-zope-configuration-3.7.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 16:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2011-02-02 16:29:19 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-zope-configuration.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-zope-configuration-3.7.2-1.fc13.src.rpm
Description:
The zope configuration system provides an extensible system for supporting
various kinds of configurations.

It is based on the idea of configuration directives. Users of the configuration
system provide configuration directives in some language that express
configuration choices. The intent is that the language be pluggable. An XML
language is provided by default.
Comment 1 Robin Lee 2011-02-02 23:06:59 EST
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint ./SRPMS/python-zope-configuration-3.7.2-1.fc14.src.rpm ./RPMS/noarch/python-zope-configuration-3.7.2-1.fc14.noarch.rpm SPECS/python-zope-configuration.spec 
python-zope-configuration.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
python-zope-configuration.src: W: invalid-url Source0: zope.configuration-3.7.2.zip
python-zope-configuration.noarch: E: devel-dependency python-setuptools-devel
python-zope-configuration.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
SPECS/python-zope-configuration.spec: W: invalid-url Source0: zope.configuration-3.7.2.zip
2 packages and 1 specfiles checked; 1 errors, 4 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
$ md5sum zope.configuration-3.7.2.zip 
8b08e9ff21325023918e7d6b12653c78  zope.configuration-3.7.2.zip

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[-] MUST: All build dependencies must be listed in BuildRequires
* According to setup.py, python-zope-testing is required to run the tests.

[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[=] MUST: Packages must not own files or directories already owned by other packages.
* This package may not own %{python_sitelib}/zope/ , which already provided by its dependence.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.


Others:
[=] Consider including CHANGES.txt COPYRIGHT.txt
[=] Consider renaming python-setuptools-devel to python-setuptools
[-] Source0 URL:
http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.zip

[=] Buildroot, %clean section and the rm command in %install section are not required.
http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

[=] Doctest text files in %{python_sitelib}/zope/configuration/ should be excluded.
[=] Consider excluding the tests
/usr/lib/python2.7/site-packages/zope/configuration/tests
Comment 2 Luke Macken 2011-02-03 00:03:31 EST
(In reply to comment #1)
> [-] MUST: All build dependencies must be listed in BuildRequires
> * According to setup.py, python-zope-testing is required to run the tests.

Yep, it already pulls this in.


> [=] MUST: Packages must not own files or directories already owned by other
> packages.
> * This package may not own %{python_sitelib}/zope/ , which already provided by
> its dependence.

Fixed.

> [=] Consider including CHANGES.txt COPYRIGHT.txt
> [=] Consider renaming python-setuptools-devel to python-setuptools
> [-] Source0 URL:
> http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.zip

Fixed.

> [=] Buildroot, %clean section and the rm command in %install section are not
> required.
> http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

I'd rather leave these in at the moment, since I plan on building these down to EL-5

> [=] Doctest text files in %{python_sitelib}/zope/configuration/ should be
> excluded.
> [=] Consider excluding the tests
> /usr/lib/python2.7/site-packages/zope/configuration/tests

I now delete these after we run the test suite in %check.

Updated spec and SRPM here:
http://lmacken.fedorapeople.org/rpms/python-zope-configuration.spec
http://lmacken.fedorapeople.org/rpms/python-zope-configuration-3.7.2-1.fc13.src.rpm
Comment 3 Robin Lee 2011-02-03 00:48:12 EST
(In reply to comment #2)
> (In reply to comment #1)
> > [-] MUST: All build dependencies must be listed in BuildRequires
> > * According to setup.py, python-zope-testing is required to run the tests.
> 
> Yep, it already pulls this in.
Oh, sorry, this is my miss.

> > [=] Buildroot, %clean section and the rm command in %install section are not
> > required.
> > http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> > http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 
> I'd rather leave these in at the moment, since I plan on building these down to
> EL-5
Then manual definition of %{python_sitelib} is also required:
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

> 
> > [=] Doctest text files in %{python_sitelib}/zope/configuration/ should be
> > excluded.
> > [=] Consider excluding the tests
> > /usr/lib/python2.7/site-packages/zope/configuration/tests
> 
> I now delete these after we run the test suite in %check.
> 
> Updated spec and SRPM here:
> http://lmacken.fedorapeople.org/rpms/python-zope-configuration.spec
> http://lmacken.fedorapeople.org/rpms/python-zope-configuration-3.7.2-1.fc13.src.rpm

[-] python-setuptools is not required in runtime.
Comment 4 Luke Macken 2011-02-03 08:58:44 EST
(In reply to comment #3)
> > > [=] Buildroot, %clean section and the rm command in %install section are not
> > > required.
> > > http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> > > http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> > 
> > I'd rather leave these in at the moment, since I plan on building these down to
> > EL-5
> Then manual definition of %{python_sitelib} is also required:
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Added.

> [-] python-setuptools is not required in runtime.

Removed.

Updated the SRPM & SPEC with the same URL as before.
Comment 5 Robin Lee 2011-02-03 10:32:45 EST
Rawhide build succeeded: http://koji.fedoraproject.org/koji/taskinfo?taskID=2759960

This package is approved by 'cheeselee'.
Comment 6 Luke Macken 2011-02-05 18:46:12 EST
New Package SCM Request
=======================
Package Name: python-zope-configuration
Short Description: Zope Configuration Markup Language (ZCML)
Owners: lmacken
Branches: f13 f14 el6 el5
Comment 7 Kevin Fenzi 2011-02-06 17:55:30 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-02-06 21:49:42 EST
python-zope-configuration-3.7.2-1.fc13,python-zope-deprecation-3.4.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-zope-configuration-3.7.2-1.fc13,python-zope-deprecation-3.4.0-1.fc13
Comment 9 Fedora Update System 2011-02-06 21:49:49 EST
python-zope-configuration-3.7.2-1.fc14,python-zope-deprecation-3.4.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-zope-configuration-3.7.2-1.fc14,python-zope-deprecation-3.4.0-1.fc14
Comment 10 Luke Macken 2011-02-07 12:28:39 EST
Thank you for the review, Robin!
Comment 11 Fedora Update System 2011-02-07 14:55:50 EST
python-zope-configuration-3.7.2-1.fc13, python-zope-deprecation-3.4.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-zope-configuration python-zope-deprecation'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-zope-configuration-3.7.2-1.fc13,python-zope-deprecation-3.4.0-1.fc13
Comment 12 Fedora Update System 2011-02-15 16:28:14 EST
python-zope-configuration-3.7.2-1.fc13, python-zope-deprecation-3.4.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-02-15 16:28:29 EST
python-zope-configuration-3.7.2-1.fc14, python-zope-deprecation-3.4.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Ralph Bean 2014-10-13 21:06:12 EDT
Package Change Request
======================
Package Name: python-zope-configuration
New Branches: epel7
Owners: ralph
Comment 15 Jon Ciesla 2014-10-14 07:56:24 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.